using BS.Shared;

namespace BeWo.Data.Entities
{
    public class BankAccount : BeWoEntityBase
    {
        public static string PropertyName_AccountNumber = "AccountNumber";

        public static string PropertyName_BankCode = "BankCode";

        public static string PropertyName_BankName = "BankName";

        public static string PropertyName_Bic = "Bic";

        public static string PropertyName_IBAN = "IBAN";

        private string _AccountNumber;

        private string _BankCode;

        private string _BankName;

        private string _Bic;

        private string _IBAN;

        public BankAccount()
        {
            this._Tid = TableID.BankAccount;
        }

        public virtual string AccountNumber
        {
            get
            {
                return this._AccountNumber;
            }

            set
            {
                if (this.AreDifferent(this._AccountNumber, value))
                {
                    this._AccountNumber = value;
                }
            }
        }

        public virtual string BankCode
        {
            get
            {
                return this._BankCode;
            }

            set
            {
                if (this.AreDifferent(this._BankCode, value))
                {
                    this._BankCode = value;
                }
            }
        }

        public virtual string BankName
        {
            get
            {
                return this._BankName;
            }

            set
            {
                if (this.AreDifferent(this._BankName, value))
                {
                    this._BankName = value;
                }
            }
        }

        public virtual string Bic
        {
            get
            {
                return this._Bic;
            }

            set
            {
                if (this.AreDifferent(this._Bic, value))
                {
                    this._Bic = value;
                }
            }
        }

        public virtual string IBAN
        {
            get
            {
                return this._IBAN;
            }

            set
            {
                if (this.AreDifferent(this._IBAN, value))
                {
                    this._IBAN = value;
                }
            }
        }
    }
}